=== data/CMakeLists.txt ===
configure_file(
  biometryd.pc.in biometryd.pc @ONLY
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/biometryd.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  )

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.ubports.biometryd.Service.conf
  DESTINATION /etc/dbus-1/system.d/
)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/biometryd.conf
  DESTINATION /etc/init
)


install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/biometryd.service
  DESTINATION /lib/systemd/system/
)
