=== debian/changelog ===
biometryd (0.3.0-2) unstable; urgency=medium

  * Upload 0.3.0 was flawed, it did not contain already uploaded
    src:pkg version 0.0.3~git20230110.a8818c2-1. This upload amends this.
  * debian/rules:
    + Re-enable unit tests.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 23:31:10 +0100

biometryd (0.3.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/patches:
    + Drop 1001_CMake-Werror-option.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.
  * debian/rules:
    + Disable unit tests for now, they freeze endlessly in this upstream
      release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 22:41:39 +0100

biometryd (0.0.3~git20230110.a8818c2-1) unstable; urgency=medium

  * New git snapshot 0.0.3~git20230110.a8818c2
  * [debian/patches] Drop upstreamed patch
    + 1001_CMake-Werror-option.patch
  * [debian/rules] Specifically disable lto due to dlopen issue
  * [debian/rules] Disable hybris build
  * [debian/patches] Disable one flaky test

 -- Marius Gripsgard <marius@ubports.com>  Tue, 10 Jan 2023 23:34:26 +0100

biometryd (0.0.3~git20221003.39b529a-3) unstable; urgency=medium

  * Team upload.
  * d/patches/3000_disable_test_qml_plugin.patch
    + disable test_qml_plugin.

 -- Anton Gladky <gladk@debian.org>  Fri, 21 Oct 2022 10:14:45 +0200

biometryd (0.0.3~git20221003.39b529a-2) unstable; urgency=medium

  * Team upload.
  * libbiometry1.symbols
    + Add symbols to fix FTBFS on some platforms.

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Oct 2022 18:54:46 +0200

biometryd (0.0.3~git20221003.39b529a-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1021212, #1019365).

  * debian/patches/:
    + Add 1001_CMake-Werror-option.patch.
    + Add 2001_no-lxc-android-config-service-in-Debian.patch. Don't want
      lxc-android-config.service. We don't/won't have that in Debian, for now.
  * debian/:
    + Rename libbiometryd* pkgs to libbiometry* and make lib:pkg and dev:pkg
      match the library's SONAME.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation, bump to DH compat level version 13.
  * debian/control:
    + Drop top comment. Not true for biometryd in Debian: the control
      file does not get auto-generated (any more).
    + Bump Standards-Version: to 4.6.1. No changes needed.
    + Drop from B-D: qt5-default.
    + Adjust Vcs-*: fields for Debian.
    + Update Maintainer: field for official Debian upload. Add Uploaders: field.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Line-wrap too-long extended descriptions.
    + Make biometryd-bin multi-arch: foreign.
    + Disentangle circular dependency between biometryd-bin <-> libbiometryd1.
    + Add B-D: pkg-kde-tools.
  * debian/{control,copyright}:
    + Update homepage URL.
  * debian/rules:
    + Adapt to building with DH compat level 13.
    + Add get-orig-source target.
    + Build with -DENABLE_WERROR=OFF.
    + Amend broken install target for include/biometryd/.
    + Enable all hardening flags.
    + Build with pkgkde_symbolshelper.
    + Don't run tests in parallel.
  * debian/{rules,biometryd-bin.install}:
    + Don't install upstart configuration.
  * debian/watch:
    + Add file. Obtain upstream Git snapshot for now.
  * debian/source/format:
    + Add file. Use format '3.0 (quilt)'.
  * debian/biometryd-bin.install:
    + Also install systemd files.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/copyright:
    + Use secure copyright format URL.
  * debian/libbiometry1.symbols:
    + Add .symbols file.
  * debian/copyright:
    + Add auto-generated copyright.in file for later reference to copyright
      updates.
    + Adjust copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Oct 2022 01:05:53 +0200

biometryd (0.0.2+ubports1) xenial; urgency=medium

  * No change rebuild to publish sources to ubports repo

 -- Dan Chapman <dan@ubports.com>  Tue, 20 Feb 2018 09:33:23 +0000

biometryd (0.0.2+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Sun, 07 Jan 2018 06:48:46 +0000

biometryd (0.0.1+17.04.20170406.2-0ubuntu1) zesty; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Switch to using cmake-extras for gmock and gtest. (LP: #1680153)

 -- Łukasz Zemczak <lukasz.zemczak@canonical.com>  Thu, 06 Apr 2017 16:41:56 +0000

biometryd (0.0.1+16.10.20160922.3-0ubuntu1) yakkety; urgency=medium

  * Added shlibs:Depends

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 22 Sep 2016 19:42:16 +0000

biometryd (0.0.1+16.10.20160628-0ubuntu4) yakkety; urgency=medium

  * Skip qml test on powerpc, segfaults. LP: #1606927

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Aug 2016 15:44:55 +0100

biometryd (0.0.1+16.10.20160628-0ubuntu3) yakkety; urgency=medium

  * Cast enum to int, to use in another enum. Fixes FTBFS with gcc6.
  * Rebuild for boost soname change.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Aug 2016 11:13:07 +0100

biometryd (0.0.1+16.10.20160628-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:11:16 +0000

biometryd (0.0.1+16.10.20160628-0ubuntu1) yakkety; urgency=medium

  * Add an initial snapcraft.yaml setup for biometryd.
  * Add sphinx documentation.

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 28 Jun 2016 06:20:19 +0000

biometryd (0.0.1+16.10.20160627.2-0ubuntu1) yakkety; urgency=medium

  * If default device cannot be instantiated, exit cleanly with success
    to prevent respawn watchdog from triggering.

 -- Thomas Voß <thomas.voss@canonical.com>  Mon, 27 Jun 2016 13:59:40 +0000

biometryd (0.0.1+16.10.20160621.1-0ubuntu1) yakkety; urgency=medium

  [ Thomas Voß ]
  * Initial release.

