=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/biometryd/tags .*/biometryd-(\d\S+)\.tar\.gz
