## biometryd 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(biometryd)
 
-set(PROJECT_VERSION 0.3.0)
+set(PROJECT_VERSION 0.3.1)
 
 set(BIOMETRYD_VERSION_MAJOR 1)
 set(BIOMETRYD_VERSION_MINOR 0)
@@ -39,6 +39,15 @@
 pkg_check_modules(PROCESS_CPP process-cpp REQUIRED)
 pkg_check_modules(SQLITE3 sqlite3 REQUIRED)
 
+# Opt-out of depending on systemd at build-time
+option(USE_SYSTEMD "Install systemd service" ON)
+if (USE_SYSTEMD)
+    pkg_check_modules(SYSTEMD systemd)
+    if (NOT SYSTEMD_FOUND)
+        message(FATAL_ERROR "systemd pkg-config not found (required for figuring out service install location)")
+    endif()
+endif()
+
 # Opt-in to enable hybris support
 option(WITH_HYBRIS "Enable libhybris integration support" OFF)
 if (WITH_HYBRIS)
