=== src/biometry/qml/Biometryd/CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,7 @@
     plugin.h
     plugin.cpp)
 
-qt5_use_modules(biometryd-qml Core Qml Quick)
-target_link_libraries(biometryd-qml biometry)
+target_link_libraries(biometryd-qml biometry Qt5::Core Qt5::Qml Qt5::Quick)
 
 # We make the module available to qml tests without
 # requiring installation of the module. With that, we
