=== debian/changelog ===
biometryd (0.3.1-3build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:16:36 +0000

biometryd (0.3.1-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:43:30 +0000

biometryd (0.3.1-3build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:57:59 +0000

biometryd (0.3.1-3build1) noble; urgency=medium

  * No-change rebuild against libelf1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 00:56:49 +0000

biometryd (0.3.1-3) unstable; urgency=medium

  * debian/control:
    + Switch from systemd to systemd-dev in B-D (and limit it to [linux-any]).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 02 Feb 2024 12:33:45 +0100

biometryd (0.3.1-2) unstable; urgency=medium

  * debian/control: Add missing B-D on systemd

 -- Marius Gripsgard <mariogrip@debian.org>  Fri, 02 Feb 2024 02:54:20 +0100

biometryd (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/patches:
    + Rebase patches.
  * debian/biometryd-bin.install:
    + Fix path of biometryd.service file.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 18:16:06 +0100

biometryd (0.3.0-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move files from / to /usr. (Closes: #1052279)

  [ Marius Gripsgard ]
  * debian/control:
    + Add myself (mariogrip) to uploaders

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 19 Sep 2023 21:24:46 +0200

biometryd (0.3.0-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/watch: Amend watch URL.

  [ Debian Janitor ]
  * Apply multi-arch hints. + qml-module-biometryd: Add Multi-Arch: same.

  [ Marius Gripsgard ]
  * debian/patches: Add patch to fix FTBFS with gcc 13 (closes #1037592)

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 03:27:09 +0200
