=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: biometryd
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
+           Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                cmake-extras,
                debhelper-compat (= 13),
@@ -26,6 +28,7 @@
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
                pkg-kde-tools,
+               systemd-dev [linux-any],
 Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
@@ -86,6 +89,7 @@
 Depends: libbiometry1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Multi-Arch: same
 Description: biometryd mediates/multiplexes to biometric devices - QML bindings
  biometryd mediates and multiplexes access to biometric devices present
  on the system, enabling applications and system components to leverage
