=== data/CMakeLists.txt ===
--- 
+++ 
@@ -7,17 +7,17 @@
 
 install(
   FILES ${CMAKE_CURRENT_BINARY_DIR}/biometryd.pc
-  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
+  DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig
   )
 
 install(
   FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.ubports.biometryd.Service.conf
-  DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/dbus-1/system.d/
+  DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1/system.d/
 )
 
 install(
   FILES ${CMAKE_CURRENT_BINARY_DIR}/biometryd.conf
-  DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/init
+  DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/init
 )
 
 if (USE_SYSTEMD)
