=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
     COMMENT "Generating API documentation with Doxygen" VERBATIM)
   install(
     DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
-    DESTINATION ${CMAKE_INSTALL_DOCDIR})
+    DESTINATION ${CMAKE_INSTALL_FULL_DOCDIR})
 
 endif ()
 endif ()
