=== src/CMakeLists.txt ===
add_subdirectory(biometry)
# add_subdirectory(util)
