=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -78,7 +78,7 @@
 if ("DEB_TARGET_ARCH" STREQUAL "powerpc")
 else()
 add_executable(test_qml_plugin test_qml_plugin.cpp)
-qt5_use_modules(test_qml_plugin Core Qml Quick QuickTest)
+target_link_libraries(test_qml_plugin Qt5::Core Qt5::Qml Qt5::Quick Qt5::QuickTest)
 add_test(test_qml_plugin test_qml_plugin)
 set_tests_properties(test_qml_plugin PROPERTIES ENVIRONMENT "QT_QPA_PLATFORM=minimal;QML2_IMPORT_PATH=${CMAKE_BINARY_DIR}/src/biometry/qml;BIOMETRYD_QML_ENABLE_TESTING=1")
 file(GLOB BIOMETRYD_QML_TEST_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} tst_*.qml)
