=== src/biometry/CMakeLists.txt ===
--- 
+++ 
@@ -157,11 +157,13 @@
   dl
   elf
 
+  nlohmann_json::nlohmann_json
   ${Boost_LIBRARIES}
   ${DBUS_CPP_LIBRARIES}
   ${PROCESS_CPP_LIBRARIES}
   ${SQLITE3_LIBRARIES}
-  ${Hybris})
+  ${Hybris}
+)
 
 add_executable(
   biometryd
@@ -174,10 +176,10 @@
 
 install(
   TARGETS biometry
-  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}
 )
 
 install(
   TARGETS biometryd
-  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+  RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR}
 )
