=== include/biometry/hardware/CMakeLists.txt ===
set(
  BIOMETRY_HARDWARE_HEADERS
  biometry.h
)

install(
  FILES ${BIOMETRY_HARDWARE_HEADERS}
  DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/biometry/hardware
)
