=== src/biometry/qml/CMakeLists.txt ===
add_subdirectory(Biometryd)
