=== src/biometry/qml/Biometryd/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 # can test the module within the build env.
 configure_file(qmldir qmldir COPYONLY)
 
-set(PLUGIN_DIR ${CMAKE_INSTALL_LIBDIR}/qt5/qml/Biometryd)
+set(PLUGIN_DIR ${CMAKE_INSTALL_FULL_LIBDIR}/qt5/qml/Biometryd)
 
 install(
     TARGETS biometryd-qml
