=== debian/changelog ===
biometryd (0.3.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS against GTest >= 1.17.0. (Closes: #1112727).
  * debian/patches:
    + Drop 0002_data-biometryd.service.in-Let-biometryd.service-repo.patch.
      Applied upstream.
  * debian/libbiometry1.symbols:
    + Drop .symbols file (C++ symbols are not helpful most of the time).
  * debian/{control,rules}:
    + Stop using pkgkde_symbolshelper DH extension, drop pkg-kde-tools from
      B-D: field.
  * debian/control:
    + Add to B-D: field: nlohmann-json3-dev.
  * debian/rules:
    + Drop manual removal of CMakeLists.txt file in <prefix>/include/ path.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Sep 2025 15:31:31 +0200

biometryd (0.3.1-6) unstable; urgency=medium

  * debian/patches:
    + Add 0002_data-biometryd.service.in-Let-biometryd.service-repo.patch.
      On machines without (supported) fingerprint reader hardware, ignore
      biometryd.service startup failures (via exit code 78) and report the
      unit as successfully started to systemd.
  * debian/control:
    + In B-D:, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 12 Jun 2025 13:40:33 +0200

biometryd (0.3.1-5) unstable; urgency=medium

  * debian/control:
    + Versionize B-D on libprocess-cpp-dev. Require process-cpp (>= 3.0.2)
      (which comes with a fixed SOVERSION_MAJOR).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 09:41:19 +0200

biometryd (0.3.1-4) unstable; urgency=medium

  * debian/watch:
    + Update for new GitLab tags page.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 10:00:39 +0200
