=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: biometryd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
@@ -19,17 +18,17 @@
                libdbus-1-dev,
                libelf-dev,
                libgtest-dev,
-               libprocess-cpp-dev,
+               libprocess-cpp-dev (>= 3.0.2),
                libsqlite3-dev,
                lsb-release,
-               pkg-config,
+               nlohmann-json3-dev,
+               pkgconf,
                qml-module-qttest,
                qtbase5-dev,
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
-               pkg-kde-tools,
                systemd-dev [linux-any],
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/biometryd/
