=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export XDG_DATA_HOME=/tmp
 
 %:
-	dh $@ --with pkgkde_symbolshelper
+	dh $@
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -26,10 +26,6 @@
 override_dh_install:
 	# drop upstart configuration
 	rm -Rv debian/tmp/etc/init/
-
-	# Nasty CMakeLists.txt appearing in include directory
-	# See: https://gitlab.com/ubports/development/core/biometryd/-/issues/2
-	rm -v  debian/tmp/usr/include/biometry/CMakeLists.txt
 	dh_install
 
 override_dh_auto_test:
